package com.csm.huahai.web.dto;

import com.csm.huahai.common.utils.StringUtils;

/**
 * @author taoyuan
 * @date 2025/01/10
 */
public class WycTypeNumStatisticsDto {

    /**
     * 统计年
     */
    private Long statisticsTimeYear;
    /**
     * 统计月
     */
    private Long statisticsTimeMonth;
    /**
     * 统计日
     */
    private Long statisticsTimeDay;
    /**
     * 统计时间
     */
    private String statisticsTime;

    /**
     * 统计数量
     */
    private Long statisticsNum;

    public Long getStatisticsTimeYear() {
        return statisticsTimeYear;
    }

    public void setStatisticsTimeYear(Long statisticsTimeYear) {
        this.statisticsTimeYear = statisticsTimeYear;
    }

    public Long getStatisticsTimeMonth() {
        return statisticsTimeMonth;
    }

    public void setStatisticsTimeMonth(Long statisticsTimeMonth) {
        this.statisticsTimeMonth = statisticsTimeMonth;
    }

    public Long getStatisticsTimeDay() {
        return statisticsTimeDay;
    }

    public void setStatisticsTimeDay(Long statisticsTimeDay) {
        this.statisticsTimeDay = statisticsTimeDay;
    }

    public String getStatisticsTime() {
        if(StringUtils.isNotBlank(this.statisticsTime)){
            return statisticsTime;
        }
        if(this.statisticsTimeDay == null){
            return this.statisticsTimeYear + "-" + String.format("%02d",this.statisticsTimeMonth);
        }else{
            return this.statisticsTimeYear + "-" + String.format("%02d",this.statisticsTimeMonth) + "-" + String.format("%02d",this.statisticsTimeDay);
        }

    }

    public void setStatisticsTime(String statisticsTime) {
        this.statisticsTime = statisticsTime;
    }

    public Long getStatisticsNum() {
        return statisticsNum;
    }

    public void setStatisticsNum(Long statisticsNum) {
        this.statisticsNum = statisticsNum;
    }
}
