package com.csm.huahai.web.mapper.coremapper;

import com.csm.huahai.web.dto.WycTypeNumStatisticsDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface WycStatisticsMapper {

    /**
     * 根据日期类型获取统计信息按天统计
     * @param startTime
     * @return
     */
    List<WycTypeNumStatisticsDto> getTypeNumStatisticsByDay(@Param("startTime")String startTime, @Param("queryData") Map<String,String> queryData);

    List<WycTypeNumStatisticsDto> getTypeNumStatisticsByMonth(@Param("startTime")String startTime, @Param("queryData") Map<String,String> queryData);
}
