/*
package com.csm.huahai.web.service.impl;

import com.dragonsoft.dids.client.repository.cache.AppCacheRepository;
import com.dragonsoft.dids.client.repository.session.SessionRepository;
import com.dragonsoft.dids.client.repository.webservice.UserWebRepository;
import com.dragonsoft.dids.client.repository.webservice.ValidateWebRepository;
import com.dragonsoft.dids.client.service.UserResourceService;
import com.dragonsoft.dids.client.utils.PropUtils;
import com.dragonsoft.dids.model.AuthResult;
import com.dragonsoft.dids.model.BaseUserInfo;
import com.dragonsoft.dids.model.Org;
import com.dragonsoft.dids.model.UserInfo;
*/
/*import com.jit.attr.JitAcComp;
import com.jit.exception.GACertCRLException;
import com.jit.exception.GACertParseException;
import com.jit.exception.GACertSignException;
import com.jit.exception.GACertTimeException;
import com.jit.exception.LDAPException;*//*

import java.security.cert.X509Certificate;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import org.apache.log4j.Logger;

public class UserResourceServiceImpl implements UserResourceService {
    private static final Logger LOG;
    private SessionRepository sr;
    public static final String RIGHT_DIDS = "1";
    public static final String RIGHT_APP = "2";
    public static final String RIGHT_PMI = "3";
    String AppCode = PropUtils.getInstance().getConfigItem("dids2.appCode");

    public UserResourceServiceImpl() {
    }

    public void setSession(HttpSession session) {
        this.sr = new SessionRepository(session);
    }

    public UserInfo getUserInfo(String userId) {
        if (userId != null && !"".equals(userId)) {
            UserInfo u = null;
            if ("1".equals(AppCacheRepository.getAppRightMode())) {
                LOG.info("DIDS管理");
                u = UserWebRepository.getUserInfo(userId, this.AppCode);
            } else {
                BaseUserInfo b;
                if ("2".equals(AppCacheRepository.getAppRightMode())) {
                    LOG.info("应用自管,不加载权限");
                    u = new UserInfo();
                    b = UserWebRepository.getBaseUserInfo(userId);
                    u.setBaseUserInfo(b);
                } else if ("3".equals(AppCacheRepository.getAppRightMode())) {
                    LOG.info("*PMI读取,选获取用户基本信息，再读取pmi权限");
                    u = new UserInfo();
                    b = UserWebRepository.getBaseUserInfo(userId);
                    u.setBaseUserInfo(b);
                    */
/*String pmiRight = this.getPmiRight();
                    u.setPmiRight(pmiRight);*//*

                } else {
                    LOG.info("未指定管理方式，返回用户基本信息");
                    u = UserWebRepository.getUserInfo(userId, this.AppCode);
                }
            }

            return u;
        } else {
            return null;
        }
    }

    public BaseUserInfo getBaseUserInfo(String userId) {
        return userId != null && !"".equals(userId) ? UserWebRepository.getBaseUserInfo(userId) : null;
    }

    public Org getUserDeptInfo(String userId) {
        return userId != null && !"".equals(userId) ? UserWebRepository.getUserDeptInfo(userId) : null;
    }

    public List getDutyList(String userId) {
        return userId != null && !"".equals(userId) ? UserWebRepository.getDutyList(userId) : null;
    }

    public List getRightList(String userId) {
        return userId != null && !"".equals(userId) ? UserWebRepository.getRightList(userId, this.AppCode) : null;
    }

    public List getPositionList(String userId) {
        return userId != null && !"".equals(userId) ? UserWebRepository.getPositionList(userId) : null;
    }

    public String getAppUserId(String userId) {
        return userId != null && !"".equals(userId) ? UserWebRepository.getAppUserId(userId, this.AppCode) : null;
    }

    public List getUserList() {
        return UserWebRepository.getUserList();
    }

    public AuthResult getAuthResult() {
        return this.sr.getAuthResult();
    }

    */
/*private String getPmiRight() {
        String pmiRigth = "";
        X509Certificate gaX509Cert = this.sr.getX509Certificate();
        JitAcComp jitaccomp = new JitAcComp();
        jitaccomp.setBaseDN("c=cn");
        jitaccomp.setPrivilegeSetType(0);
        jitaccomp.setPKICertificate(gaX509Cert);

        try {
            pmiRigth = jitaccomp.getPrivilegeList(AppCacheRepository.getPmiIp(), AppCacheRepository.getPmiPort(), AppCacheRepository.getPkiAppCode(), AppCacheRepository.getPkiLocalCode());
        } catch (LDAPException var5) {
            var5.printStackTrace();
        } catch (GACertParseException var6) {
            var6.printStackTrace();
        } catch (GACertCRLException var7) {
            var7.printStackTrace();
        } catch (GACertSignException var8) {
            var8.printStackTrace();
        } catch (GACertTimeException var9) {
            var9.printStackTrace();
        } catch (Exception var10) {
            var10.printStackTrace();
        }

        return pmiRigth;
    }*//*


    public List findUserListByRightId(List rightCodeList) {
        return rightCodeList.size() == 0 ? null : UserWebRepository.findUserListByRightId(rightCodeList);
    }

    public List findUserListByRightIdAndAppCode(List rightCodeList, String appCode) {
        return rightCodeList.size() == 0 ? null : UserWebRepository.findUserListByRightIdAndAppCode(rightCodeList, appCode);
    }

    public UserInfo getUserInfoByIdCard(String idCard) {
        return idCard != null && !"".equals(idCard) ? UserWebRepository.getUserInfoByIdCard(idCard, this.AppCode) : null;
    }

    public List getRightByUserNoAndAppCode(String userNo, String appCode) {
        return userNo != null && !"".equals(appCode) ? UserWebRepository.getRightByUserNoAndAppCode(userNo, appCode) : null;
    }

    public Map getPwdByUserNo(String userId, String indntifyCode) {
        if (userId != null && !"".equals(userId)) {
            return indntifyCode != null && !"".equals(indntifyCode) ? UserWebRepository.getPwdByUserNo(userId, indntifyCode) : null;
        } else {
            return null;
        }
    }

    public List getRightListByPMI(HttpServletRequest request) {
        return UserWebRepository.getRightListByPMI(request);
    }

    static {
        LOG = Logger.getLogger(ValidateWebRepository.class);
    }
}

*/
